Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.property
Class PropertyUtil

    java.lang.Object
      cascading.property.PropertyUtil

    public class PropertyUtil

extends Object

Class PropertyUtil is a static helper class for handling properties.

Constructor Summary
`PropertyUtil()`

Method Summary
`static Map<Object,Object>` | `asFlatMap(Map<Object,Object> properties)`
`static Properties` | `createProperties(Iterable<Map.Entry<String,String>> defaultProperties)`
`static Properties` | `createProperties(Map<Object,Object> properties, Properties defaultProperties)`
`static String` | `getProperty(Map<Object,Object> properties, String key)`
`static
`<A> A`
` | `getProperty(Map<Object,Object> properties, String key, A defaultValue)`
`static String` | `getStringProperty(Properties defaultProperties, Map<Object,Object> properties, String property)`
`static void` | `setProperty(Map<Object,Object> properties, String key, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyUtil

    public PropertyUtil()

Method Detail

### getProperty

    public static String getProperty(Map<Object,Object> properties,
                                     String key)

### getStringProperty

    public static String getStringProperty(Properties defaultProperties,
                                           Map<Object,Object> properties,
                                           String property)

### getProperty

    public static <A> A getProperty(Map<Object,Object> properties,
                                    String key,
                                    A defaultValue)

### setProperty

    public static void setProperty(Map<Object,Object> properties,
                                   String key,
                                   String value)

### createProperties

    public static Properties createProperties(Iterable<Map.Entry<String,String>> defaultProperties)

### createProperties

    public static Properties createProperties(Map<Object,Object> properties,
                                              Properties defaultProperties)

### asFlatMap

    public static Map<Object,Object> asFlatMap(Map<Object,Object> properties)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.